### A free/open-source library for quantitative finance

Public Member Functions | Protected Member Functions | Protected Attributes
YoYInflationCapFloorEngine Class Reference

Base YoY inflation cap/floor engine. More...

`#include <ql/pricingengines/inflation/inflationcapfloorengines.hpp>`

Inheritance diagram for YoYInflationCapFloorEngine:
[legend]

List of all members.

## Public Member Functions

| YoYInflationCapFloorEngine (const boost::shared_ptr< YoYInflationIndex > &, const Handle< YoYOptionletVolatilitySurface > &vol)
boost::shared_ptr < YoYInflationIndex > | index () const
Handle < YoYOptionletVolatilitySurface > | volatility () const
void | setVolatility (const Handle< YoYOptionletVolatilitySurface > &vol)
void | calculate () const

## Protected Member Functions

virtual Real | optionletImpl (Option::Type type, Rate strike, Rate forward, Real stdDev, Real d) const =0
| descendents only need to implement this

## Protected Attributes

boost::shared_ptr < YoYInflationIndex > | index_
Handle < YoYOptionletVolatilitySurface > | volatility_

## Detailed Description

Base YoY inflation cap/floor engine.

This class doesn't know yet what sort of vol it is. The inflation index must be linked to a yoy inflation term structure. This provides the curves, hence the call uses a shared_ptr<> not a handle<> to the index.